Package ch.qos.logback.core.subst

# Enum Token.Type

java.lang.Object
java.lang.Enum<Token.Type>
ch.qos.logback.core.subst.Token.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Token.Type>`, `java.lang.constant.Constable`

Enclosing class:
  Token

public static enum Token.Type extends Enum<Token.Type>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CURLY_LEFT`
`CURLY_RIGHT`
`DEFAULT`
`LITERAL`
`START`

## Method Summary

Modifier and Type
Method
Description
`static Token.Type`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static Token.Type[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### LITERAL

public static final Token.Type LITERAL

### START

public static final Token.Type START

### CURLY_LEFT

public static final Token.Type CURLY_LEFT

### CURLY_RIGHT

public static final Token.Type CURLY_RIGHT

### DEFAULT

public static final Token.Type DEFAULT

## Method Details

### values

public static Token.Type[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static Token.Type valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null